Skip to main content
PUT
/
v1
/
post_mortem_templates
/
{id}
Update a Retrospective Template
curl --request PUT \
  --url https://api.rootly.com/v1/post_mortem_templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "post_mortem_templates",
    "attributes": {
      "name": "<string>",
      "default": true,
      "content": "<string>",
      "format": "html"
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/post_mortem_templates/{id}"

payload = { "data": {
        "type": "post_mortem_templates",
        "attributes": {
            "name": "<string>",
            "default": True,
            "content": "<string>",
            "format": "html"
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({
    data: {
      type: 'post_mortem_templates',
      attributes: {name: '<string>', default: true, content: '<string>', format: 'html'}
    }
  })
};

fetch('https://api.rootly.com/v1/post_mortem_templates/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "post_mortem_templates",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "default": true,
      "content": "<string>",
      "content_html": "<string>",
      "content_json": {}
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
  "errors": [
    {
      "title": "<string>",
      "status": "<string>",
      "code": "<string>",
      "detail": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Body

application/vnd.api+json
data
object
required

Response

Retrospective Template updated with sanitized content

data
object
required
included
object[]